{
  name: "Utility Umbrella",
  spritenum: 718,
  fling: {
  	basePower: 60,
  },
  /* Partially implemented in Pokemon.effectiveWeather() in sim/pokemon.ts */
  onStart(pokemon) {
  	if (!pokemon.ignoringItem()) return;
  	if (['sunnyday', 'raindance', 'desolateland', 'primordialsea'].includes(this.field.effectiveWeather())) {
  		this.runEvent('WeatherChange', pokemon, pokemon, this.effect);
  	}
  },
  onUpdate(pokemon) {
  	if (!this.effectState.inactive) return;
  	this.effectState.inactive = false;
  	if (['sunnyday', 'raindance', 'desolateland', 'primordialsea'].includes(this.field.effectiveWeather())) {
  		this.runEvent('WeatherChange', pokemon, pokemon, this.effect);
  	}
  },
  onEnd(pokemon) {
  	if (['sunnyday', 'raindance', 'desolateland', 'primordialsea'].includes(this.field.effectiveWeather())) {
  		this.runEvent('WeatherChange', pokemon, pokemon, this.effect);
  	}
  	this.effectState.inactive = true;
  },
  num: 1123,
  gen: 8,
}